// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

/// Every object that `is` of given type [T] matches.
class IsType<T> implements Matcher {
  bool matches(value) => value is T;
  String get description => "be of specified type"; // sorry, can't do better
}

